sc::PumaThreadGrp(3)

NAME
sc::PumaThreadGrp -

The PumaThreadGrp class privides a concrete thread group appropriate for the intel teraflops machine.

SYNOPSIS

#include <thpuma.h>

Inherits sc::ThreadGrp.

  Public Member Functions
PumaThreadGrp (const Ref< KeyVal > &)
int start_threads ()
Starts the threads running.
int wait_threads ()
Wait for all the threads to complete.
Ref< ThreadLock > new_lock ()
Return a local object.

Detailed Description

The PumaThreadGrp class privides a concrete thread group appropriate for the intel teraflops machine.

Member Function Documentation

  int sc::PumaThreadGrp::start_threads () [virtual]

Starts the threads running. Thread 0 will be run by the thread that calls start_threads.

Implements sc::ThreadGrp.

  int sc::PumaThreadGrp::wait_threads () [virtual]

Wait for all the threads to complete. This must be called before start_threads is called again or the object is destroyed.

Implements sc::ThreadGrp.

Author

Generated automatically by Doxygen for MPQC from the source code.